diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/app_launcher_handler.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/app_launcher_handler.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/app_launcher_handler.cc	2011-06-08 00:43:25.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/app_launcher_handler.cc	2011-07-16 14:58:42.260000247 +0200
@@ -13,7 +13,6 @@
 #include "base/string_util.h"
 #include "base/utf_string_conversions.h"
 #include "base/values.h"
-#include "chrome/browser/extensions/apps_promo.h"
 #include "chrome/browser/extensions/extension_prefs.h"
 #include "chrome/browser/extensions/extension_service.h"
 #include "chrome/browser/platform_util.h"
@@ -64,7 +63,6 @@
 
 AppLauncherHandler::AppLauncherHandler(ExtensionService* extension_service)
     : extensions_service_(extension_service),
-      promo_active_(false),
       ignore_changes_(false) {
 }
 
@@ -139,22 +137,6 @@
 
   CHECK(params.size() >= 2);
 
-  bool is_promo_active = params.at(1) == "true";
-
-  // At this point, the user must have used the app launcher, so we hide the
-  // promo if its still displayed.
-  if (is_promo_active) {
-    DCHECK(profile->GetExtensionService());
-    profile->GetExtensionService()->apps_promo()->ExpireDefaultApps();
-  }
-
-  if (is_web_store_ping) {
-    RecordWebStoreLaunch(is_promo_active);
-  }  else {
-    CHECK(params.size() == 3);
-    RecordAppLaunchByID(is_promo_active, ParseLaunchSource(params.at(2)));
-  }
-
   return true;
 }
 
@@ -172,16 +154,12 @@
       NewCallback(this, &AppLauncherHandler::HandleSetLaunchType));
   web_ui_->RegisterMessageCallback("uninstallApp",
       NewCallback(this, &AppLauncherHandler::HandleUninstallApp));
-  web_ui_->RegisterMessageCallback("hideAppsPromo",
-      NewCallback(this, &AppLauncherHandler::HandleHideAppsPromo));
   web_ui_->RegisterMessageCallback("createAppShortcut",
       NewCallback(this, &AppLauncherHandler::HandleCreateAppShortcut));
   web_ui_->RegisterMessageCallback("reorderApps",
       NewCallback(this, &AppLauncherHandler::HandleReorderApps));
   web_ui_->RegisterMessageCallback("setPageIndex",
       NewCallback(this, &AppLauncherHandler::HandleSetPageIndex));
-  web_ui_->RegisterMessageCallback("promoSeen",
-      NewCallback(this, &AppLauncherHandler::HandlePromoSeen));
 }
 
 void AppLauncherHandler::Observe(NotificationType type,
@@ -194,9 +172,6 @@
     case NotificationType::EXTENSION_LOADED:
     case NotificationType::EXTENSION_UNLOADED:
     case NotificationType::EXTENSION_LAUNCHER_REORDERED:
-    // The promo may not load until a couple seconds after the first NTP view,
-    // so we listen for the load notification and notify the NTP when ready.
-    case NotificationType::WEB_STORE_PROMO_LOADED:
       if (web_ui_->tab_contents())
         HandleGetApps(NULL);
       break;
@@ -251,54 +226,11 @@
   dictionary->SetBoolean("disableCreateAppShortcut", true);
 #endif
 
-  dictionary->SetBoolean(
-      "showLauncher",
-      extensions_service_->apps_promo()->ShouldShowAppLauncher(
-          extensions_service_->GetAppIds()));
-}
-
-void AppLauncherHandler::FillPromoDictionary(DictionaryValue* dictionary) {
-  dictionary->SetString("promoHeader", AppsPromo::GetPromoHeaderText());
-  dictionary->SetString("promoButton", AppsPromo::GetPromoButtonText());
-  dictionary->SetString("promoLink", AppsPromo::GetPromoLink().spec());
-  dictionary->SetString("promoExpire", AppsPromo::GetPromoExpireText());
 }
 
 void AppLauncherHandler::HandleGetApps(const ListValue* args) {
   DictionaryValue dictionary;
 
-  // Tell the client whether to show the promo for this view. We don't do this
-  // in the case of PREF_CHANGED because:
-  //
-  // a) At that point in time, depending on the pref that changed, it can look
-  //    like the set of apps installed has changed, and we will mark the promo
-  //    expired.
-  // b) Conceptually, it doesn't really make sense to count a
-  //    prefchange-triggered refresh as a promo 'view'.
-  AppsPromo* apps_promo = extensions_service_->apps_promo();
-  PrefService* prefs = web_ui_->GetProfile()->GetPrefs();
-  bool apps_promo_just_expired = false;
-  if (apps_promo->ShouldShowPromo(extensions_service_->GetAppIds(),
-                                  &apps_promo_just_expired)) {
-    // Maximize the apps section on the first promo view.
-    apps_promo->MaximizeAppsIfFirstView();
-    dictionary.SetBoolean("showPromo", true);
-    FillPromoDictionary(&dictionary);
-    promo_active_ = true;
-  } else {
-    dictionary.SetBoolean("showPromo", false);
-    promo_active_ = false;
-  }
-
-  // If the default apps have just expired (user viewed them too many times with
-  // no interaction), then we uninstall them and focus the recent sites section.
-  if (apps_promo_just_expired) {
-    ignore_changes_ = true;
-    UninstallDefaultApps();
-    ignore_changes_ = false;
-    ShownSectionsHandler::SetShownSection(prefs, THUMB);
-  }
-
   FillAppDictionary(&dictionary);
   web_ui_->CallJavascriptFunction("getAppsCallback", dictionary);
 
@@ -311,8 +243,6 @@
         NotificationService::AllSources());
     registrar_.Add(this, NotificationType::EXTENSION_LAUNCHER_REORDERED,
         NotificationService::AllSources());
-    registrar_.Add(this, NotificationType::WEB_STORE_PROMO_LOADED,
-        NotificationService::AllSources());
   }
   if (pref_change_registrar_.IsEmpty()) {
     pref_change_registrar_.Init(
@@ -364,11 +294,6 @@
         disposition_utils::DispositionFromClick(middle_button, alt_key,
                                                 ctrl_key, meta_key, shift_key);
 
-  if (extension_id != extension_misc::kWebStoreAppId) {
-    RecordAppLaunchByID(promo_active_, launch_bucket);
-    extensions_service_->apps_promo()->ExpireDefaultApps();
-  }
-
   if (disposition == NEW_FOREGROUND_TAB || disposition == NEW_BACKGROUND_TAB) {
     // TODO(jamescook): Proper support for background tabs.
     Browser::OpenApplication(
@@ -436,17 +361,6 @@
   GetExtensionUninstallDialog()->ConfirmUninstall(this, extension);
 }
 
-void AppLauncherHandler::HandleHideAppsPromo(const ListValue* args) {
-  // If the user has intentionally hidden the promotion, we'll uninstall all the
-  // default apps (we know the user hasn't installed any apps on their own at
-  // this point, or the promotion wouldn't have been shown).
-  ignore_changes_ = true;
-  UninstallDefaultApps();
-  extensions_service_->apps_promo()->HidePromo();
-  ignore_changes_ = false;
-  HandleGetApps(NULL);
-}
-
 void AppLauncherHandler::HandleCreateAppShortcut(const ListValue* args) {
   std::string extension_id;
   if (!args->GetString(0, &extension_id)) {
@@ -494,23 +408,12 @@
       static_cast<int>(page_index));
 }
 
-void AppLauncherHandler::HandlePromoSeen(const ListValue* args) {
-  UMA_HISTOGRAM_ENUMERATION(extension_misc::kAppsPromoHistogram,
-                            extension_misc::PROMO_SEEN,
-                            extension_misc::PROMO_BUCKET_BOUNDARY);
-}
-
 // static
 void AppLauncherHandler::RecordWebStoreLaunch(bool promo_active) {
   UMA_HISTOGRAM_ENUMERATION(extension_misc::kAppLaunchHistogram,
                             extension_misc::APP_LAUNCH_NTP_WEBSTORE,
                             extension_misc::APP_LAUNCH_BUCKET_BOUNDARY);
 
-  if (!promo_active) return;
-
-  UMA_HISTOGRAM_ENUMERATION(extension_misc::kAppsPromoHistogram,
-                            extension_misc::PROMO_LAUNCH_WEB_STORE,
-                            extension_misc::PROMO_BUCKET_BOUNDARY);
 }
 
 // static
@@ -521,11 +424,6 @@
   UMA_HISTOGRAM_ENUMERATION(extension_misc::kAppLaunchHistogram, bucket,
                             extension_misc::APP_LAUNCH_BUCKET_BOUNDARY);
 
-  if (!promo_active) return;
-
-  UMA_HISTOGRAM_ENUMERATION(extension_misc::kAppsPromoHistogram,
-                            extension_misc::PROMO_LAUNCH_APP,
-                            extension_misc::PROMO_BUCKET_BOUNDARY);
 }
 
 // static
@@ -637,11 +535,4 @@
 }
 
 void AppLauncherHandler::UninstallDefaultApps() {
-  AppsPromo* apps_promo = extensions_service_->apps_promo();
-  const ExtensionIdSet& app_ids = apps_promo->old_default_apps();
-  for (ExtensionIdSet::const_iterator iter = app_ids.begin();
-       iter != app_ids.end(); ++iter) {
-    if (extensions_service_->GetExtensionById(*iter, true))
-      extensions_service_->UninstallExtension(*iter, false, NULL);
-  }
 }
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/app_launcher_handler.h chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/app_launcher_handler.h
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/app_launcher_handler.h	2011-06-08 00:43:25.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/app_launcher_handler.h	2011-07-16 15:02:00.216000236 +0200
@@ -55,9 +55,6 @@
   // Populate the given dictionary with all installed app info.
   void FillAppDictionary(DictionaryValue* value);
 
-  // Populate the given dictionary with the web store promo content.
-  void FillPromoDictionary(DictionaryValue* value);
-
   // Callback for the "getApps" message.
   void HandleGetApps(const ListValue* args);
 
@@ -70,9 +67,6 @@
   // Callback for the "uninstallApp" message.
   void HandleUninstallApp(const ListValue* args);
 
-  // Callback for the "hideAppPromo" message.
-  void HandleHideAppsPromo(const ListValue* args);
-
   // Callback for the "createAppShortcut" message.
   void HandleCreateAppShortcut(const ListValue* args);
 
@@ -82,16 +76,15 @@
   // Callback for the "setPageIndex" message.
   void HandleSetPageIndex(const ListValue* args);
 
-  // Callback for the "promoSeen" message.
-  void HandlePromoSeen(const ListValue* args);
-
  private:
   // Records a web store launch in the appropriate histograms. |promo_active|
   // specifies if the web store promotion was active.
+	// (note promo system is disabled, so this parameter is ignored)
   static void RecordWebStoreLaunch(bool promo_active);
 
   // Records an app launch in the corresponding |bucket| of the app launch
   // histogram. |promo_active| specifies if the web store promotion was active.
+	// (note promo system is disabled, so this parameter is ignored)
   static void RecordAppLaunchByID(bool promo_active,
                                   extension_misc::AppLaunchBucket bucket);
 
@@ -142,9 +135,6 @@
   // The id of the extension we are prompting the user about.
   std::string extension_id_prompting_;
 
-  // Whether the promo is currently being shown.
-  bool promo_active_;
-
   // When true, we ignore changes to the underlying data rather than immediately
   // refreshing. This is useful when making many batch updates to avoid flicker.
   bool ignore_changes_;
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_page_sync_handler.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_page_sync_handler.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_page_sync_handler.cc	2011-06-08 00:43:25.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_page_sync_handler.cc	2011-07-16 15:02:36.652000250 +0200
@@ -87,8 +87,6 @@
   switch (type) {
     case sync_ui_util::SYNC_ERROR:
       return SYNC_ERROR;
-    case sync_ui_util::SYNC_PROMO:
-      return SYNC_PROMO;
     case sync_ui_util::PRE_SYNCED:
     case sync_ui_util::SYNCED:
     default:
@@ -190,8 +188,6 @@
   } else {
     if (type == SYNC_ERROR)
       title = l10n_util::GetStringUTF8(IDS_SYNC_NTP_SYNC_SECTION_ERROR_TITLE);
-    else if (type == SYNC_PROMO)
-      title = l10n_util::GetStringUTF8(IDS_SYNC_NTP_SYNC_SECTION_PROMO_TITLE);
     else
       NOTREACHED();
 
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_page_sync_handler.h chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_page_sync_handler.h
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_page_sync_handler.h	2011-06-08 00:43:25.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_page_sync_handler.h	2011-07-16 15:02:48.324000247 +0200
@@ -38,7 +38,6 @@
   enum MessageType {
     HIDE,
     SYNC_ERROR,
-    SYNC_PROMO
   };
   // Helper to invoke the |syncMessageChanged| JS function on the new tab page.
   void SendSyncMessageToPage(MessageType type,
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_ui.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_ui.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_ui.cc	2011-06-08 00:43:25.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/new_tab_ui.cc	2011-07-16 15:00:41.088000246 +0200
@@ -245,41 +245,6 @@
   web_ui_->CallJavascriptFunction("onHomePageSet", list_value);
 }
 
-///////////////////////////////////////////////////////////////////////////////
-// NewTabPageClosePromoHandler
-
-// Turns off the promo line permanently when it has been explicitly closed by
-// the user.
-class NewTabPageClosePromoHandler : public WebUIMessageHandler {
- public:
-  NewTabPageClosePromoHandler() {}
-  virtual ~NewTabPageClosePromoHandler() {}
-
-  // WebUIMessageHandler implementation.
-  virtual void RegisterMessages();
-
-  // Callback for "closePromo".
-  void HandleClosePromo(const ListValue* args);
-
- private:
-
-  DISALLOW_COPY_AND_ASSIGN(NewTabPageClosePromoHandler);
-};
-
-void NewTabPageClosePromoHandler::RegisterMessages() {
-  web_ui_->RegisterMessageCallback("closePromo", NewCallback(
-      this, &NewTabPageClosePromoHandler::HandleClosePromo));
-}
-
-void NewTabPageClosePromoHandler::HandleClosePromo(
-    const ListValue* args) {
-  web_ui_->GetProfile()->GetPrefs()->SetBoolean(prefs::kNTPPromoClosed, true);
-  NotificationService* service = NotificationService::current();
-  service->Notify(NotificationType::PROMO_RESOURCE_STATE_CHANGED,
-                  Source<NewTabPageClosePromoHandler>(this),
-                  NotificationService::NoDetails());
-}
-
 }  // namespace
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -328,7 +293,6 @@
       AddMessageHandler((new AppLauncherHandler(service))->Attach(this));
 
     AddMessageHandler((new NewTabPageSetHomePageHandler())->Attach(this));
-    AddMessageHandler((new NewTabPageClosePromoHandler())->Attach(this));
   }
 
   // Initializing the CSS and HTML can require some CPU, so do it after
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/ntp_resource_cache.cc chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/ntp_resource_cache.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/ntp_resource_cache.cc	2011-06-08 00:43:25.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/browser/ui/webui/ntp_resource_cache.cc	2011-07-16 14:59:52.012000238 +0200
@@ -23,7 +23,6 @@
 #include "chrome/browser/themes/theme_service_factory.h"
 #include "chrome/browser/ui/webui/chrome_url_data_manager.h"
 #include "chrome/browser/ui/webui/shown_sections_handler.h"
-#include "chrome/browser/web_resource/promo_resource_service.h"
 #include "chrome/common/chrome_switches.h"
 #include "chrome/common/extensions/extension.h"
 #include "chrome/common/extensions/extension_constants.h"
@@ -151,8 +150,6 @@
 NTPResourceCache::NTPResourceCache(Profile* profile) : profile_(profile) {
   registrar_.Add(this, NotificationType::BROWSER_THEME_CHANGED,
                  NotificationService::AllSources());
-  registrar_.Add(this, NotificationType::PROMO_RESOURCE_STATE_CHANGED,
-                 NotificationService::AllSources());
 
   // Watch for pref changes that cause us to need to invalidate the HTML cache.
   pref_change_registrar_.Init(profile_->GetPrefs());
@@ -192,8 +189,7 @@
 void NTPResourceCache::Observe(NotificationType type,
     const NotificationSource& source, const NotificationDetails& details) {
   // Invalidate the cache.
-  if (NotificationType::BROWSER_THEME_CHANGED == type ||
-      NotificationType::PROMO_RESOURCE_STATE_CHANGED == type) {
+  if (NotificationType::BROWSER_THEME_CHANGED == type ) {
     new_tab_incognito_html_ = NULL;
     new_tab_html_ = NULL;
     new_tab_incognito_css_ = NULL;
@@ -370,20 +366,6 @@
     localized_strings.SetString("customlogo", "false");
   }
 
-  // If the user has preferences for a start and end time for a promo from
-  // the server, and this promo string exists, set the localized string.
-  if (profile_->GetPrefs()->FindPreference(prefs::kNTPPromoStart) &&
-      profile_->GetPrefs()->FindPreference(prefs::kNTPPromoEnd) &&
-      profile_->GetPrefs()->FindPreference(prefs::kNTPPromoLine) &&
-      PromoResourceServiceUtil::CanShowPromo(profile_)) {
-    localized_strings.SetString("serverpromo",
-        InDateRange(profile_->GetPrefs()->GetDouble(prefs::kNTPPromoStart),
-                    profile_->GetPrefs()->GetDouble(prefs::kNTPPromoEnd)) ?
-                    profile_->GetPrefs()->GetString(prefs::kNTPPromoLine) :
-                                                    std::string());
-    UserMetrics::RecordAction(UserMetricsAction("NTPPromoShown"));
-  }
-
   // Load the new tab page appropriate for this build
   // Note that some builds (eg. TOUCHUI) don't make use of everything we
   // do here (all of the template data, etc.), but we keep the back end
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/chrome_browser.gypi chromium-browser-12.0.742.112~r90304/src/chrome/chrome_browser.gypi
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/chrome_browser.gypi	2011-06-08 00:44:08.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/chrome_browser.gypi	2011-07-16 15:23:30.920000249 +0200
@@ -843,8 +843,6 @@
         'browser/download/save_types.h',
         'browser/enumerate_modules_model_win.cc',
         'browser/enumerate_modules_model_win.h',
-        'browser/extensions/apps_promo.cc',
-        'browser/extensions/apps_promo.h',
         'browser/extensions/convert_user_script.cc',
         'browser/extensions/convert_user_script.h',
         'browser/extensions/convert_web_app.cc',
@@ -1278,8 +1276,6 @@
         'browser/instant/instant_loader_manager.h',
         'browser/instant/instant_unload_handler.cc',
         'browser/instant/instant_unload_handler.h',
-        'browser/instant/promo_counter.cc',
-        'browser/instant/promo_counter.h',
         'browser/intranet_redirect_detector.cc',
         'browser/intranet_redirect_detector.h',
         'browser/io_thread.cc',
@@ -3396,8 +3392,6 @@
         'browser/web_applications/web_app.h',
         'browser/web_resource/gpu_blacklist_updater.cc',
         'browser/web_resource/gpu_blacklist_updater.h',
-        'browser/web_resource/promo_resource_service.cc',
-        'browser/web_resource/promo_resource_service.h',
         'browser/web_resource/web_resource_service.cc',
         'browser/web_resource/web_resource_service.h',
         'browser/webdata/autofill_change.cc',
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/chrome_tests.gypi chromium-browser-12.0.742.112~r90304/src/chrome/chrome_tests.gypi
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/chrome_tests.gypi	2011-06-08 00:44:08.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/chrome_tests.gypi	2011-07-16 15:24:12.344000251 +0200
@@ -1324,7 +1324,6 @@
         'browser/download/mock_download_manager.h',
         'browser/download/save_package_unittest.cc',
         'browser/enumerate_modules_model_unittest_win.cc',
-        'browser/extensions/apps_promo_unittest.cc',
         'browser/extensions/convert_user_script_unittest.cc',
         'browser/extensions/convert_web_app_unittest.cc',
         'browser/extensions/extension_event_router_forwarder_unittest.cc',
@@ -1397,7 +1396,6 @@
         'browser/importer/safari_importer_unittest.mm',
         'browser/importer/toolbar_importer_unittest.cc',
         'browser/instant/instant_loader_manager_unittest.cc',
-        'browser/instant/promo_counter_unittest.cc',
         'browser/keychain_mock_mac.cc',
         'browser/keychain_mock_mac.h',
         'browser/mach_broker_mac_unittest.cc',
@@ -1788,7 +1786,6 @@
         'browser/webdata/web_data_service_test_util.h',
         'browser/webdata/web_data_service_unittest.cc',
         'browser/webdata/web_database_migration_unittest.cc',
-        'browser/web_resource/promo_resource_service_unittest.cc',
         'common/bzip2_unittest.cc',
         'common/child_process_logging_mac_unittest.mm',
         'common/chrome_paths_unittest.cc',
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/common/chrome_switches.cc chromium-browser-12.0.742.112~r90304/src/chrome/common/chrome_switches.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/common/chrome_switches.cc	2011-06-08 00:43:49.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/common/chrome_switches.cc	2011-07-16 15:24:49.960000248 +0200
@@ -545,10 +545,6 @@
 // whether or not it's actually the first run.
 const char kFirstRun[]                      = "first-run";
 
-// Forces the apps/webstore promo to be shown, independent of whether it has
-// timed out, etc. Useful for testing.
-const char kForceAppsPromoVisible[]         = "force-apps-promo-visible";
-
 // If accelerated compositing is supported, always enter compositing mode for
 // the base layer even when compositing is not strictly required.
 const char kForceCompositingMode[]          = "force-compositing-mode";
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/common/extensions/extension_constants.cc chromium-browser-12.0.742.112~r90304/src/chrome/common/extensions/extension_constants.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/common/extensions/extension_constants.cc	2011-06-08 00:43:47.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/common/extensions/extension_constants.cc	2011-07-16 15:26:13.148000255 +0200
@@ -374,7 +374,6 @@
 namespace extension_misc {
 const char* kBookmarkManagerId = "eemcgdkfndhakfknompkggombfjjjeno";
 const char* kWebStoreAppId = "ahfgeienlihckogmohjhadlkjgocpleb";
-const char* kAppsPromoHistogram = "Extensions.AppsPromo";
 const char* kAppLaunchHistogram = "Extensions.AppLaunch";
 #if defined(OS_CHROMEOS)
 const char* kAccessExtensionPath =
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/common/extensions/extension_constants.h chromium-browser-12.0.742.112~r90304/src/chrome/common/extensions/extension_constants.h
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/common/extensions/extension_constants.h	2011-06-08 00:43:47.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/common/extensions/extension_constants.h	2011-07-16 15:25:23.700000310 +0200
@@ -280,19 +280,6 @@
     LAUNCH_TAB
   };
 
-  // The name of the apps promo histogram.
-  extern const char* kAppsPromoHistogram;
-
-  // The buckets used in the apps promo histogram.
-  enum AppsPromoBuckets {
-    PROMO_LAUNCH_APP,
-    PROMO_LAUNCH_WEB_STORE,
-    PROMO_CLOSE,
-    PROMO_EXPIRE,
-    PROMO_SEEN,
-    PROMO_BUCKET_BOUNDARY
-  };
-
   // The name of the app launch histogram.
   extern const char* kAppLaunchHistogram;
 
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/common/pref_names.cc chromium-browser-12.0.742.112~r90304/src/chrome/common/pref_names.cc
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/common/pref_names.cc	2011-06-08 00:43:49.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/common/pref_names.cc	2011-07-16 15:29:34.152000250 +0200
@@ -9,10 +9,6 @@
 // *************** PROFILE PREFS ***************
 // These are attached to the user profile
 
-// A counter that controls whether the apps promo is shown in the app launcher
-// or not.
-const char kAppsPromoCounter[] = "apps_promo_counter";
-
 // Whether we have installed default apps yet in this profile.
 const char kDefaultAppsInstalled[] = "default_apps_installed";
 
@@ -261,10 +257,6 @@
 // Time when instant was last enabled.
 const char kInstantEnabledTime[] = "instant.enabled_time";
 
-// Used to maintain instant promo keys. See PromoCounter for details of subkeys
-// that are used.
-const char kInstantPromo[] = "instant.promo";
-
 // Used to migrate preferences from local state to user preferences to
 // enable multiple profiles.
 // BITMASK with possible values (see browser_prefs.cc for enum):
@@ -1064,16 +1056,6 @@
 // Page.
 const char kNTPMostVisitedPinnedURLs[] = "ntp.pinned_urls";
 
-// Data downloaded from promo resource pages (JSON, RSS) to be used to
-// dynamically deliver data for the new tab page.
-const char kNTPPromoResourceCache[] = "ntp.promo_resource_cache";
-
-// Last time of update of promo_resource_cache.
-const char kNTPPromoResourceCacheUpdate[] = "ntp.promo_resource_cache_update";
-
-// Serves promo resources for the NTP.
-const char kNTPPromoResourceServer[] = "ntp.web_resource_server";
-
 // Serves tips for the NTP.
 const char kNTPTipsResourceServer[] = "ntp.tips_resource_server";
 
@@ -1096,52 +1078,6 @@
 const char kNTPCustomLogoStart[] = "ntp.alt_logo_start";
 const char kNTPCustomLogoEnd[] = "ntp.alt_logo_end";
 
-// The promo resource service version number.
-const char kNTPPromoVersion[] = "ntp.promo_version";
-
-// The last locale the promo was fetched for.
-const char kNTPPromoLocale[] = "ntp.promo_locale";
-
-// Whether promo should be shown to Dev builds, Beta and Dev, or all builds.
-const char kNTPPromoBuild[] = "ntp.promo_build";
-
-// True if user has explicitly closed the promo line.
-const char kNTPPromoClosed[] = "ntp.promo_closed";
-
-// Users are randomly divided into 16 groups in order to slowly roll out
-// special promos.
-const char kNTPPromoGroup[] = "ntp.promo_group";
-
-// Amount of time each promo group should be shown a promo that is being slowly
-// rolled out, in hours.
-const char kNTPPromoGroupTimeSlice[] = "ntp.promo_group_timeslice";
-
-// Promo line from server.
-const char kNTPPromoLine[] = "ntp.promo_line";
-
-// Dates between which the NTP should show a promotional line downloaded
-// from the promo server.
-const char kNTPPromoStart[] = "ntp.promo_start";
-const char kNTPPromoEnd[] = "ntp.promo_end";
-
-// The id of the last web store promo actually displayed on the NTP.
-const char kNTPWebStorePromoLastId[] = "ntp.webstore_last_promo_id";
-
-// The id of the current web store promo.
-const char kNTPWebStorePromoId[] = "ntp.webstorepromo.id";
-
-// The header line for the NTP web store promo.
-const char kNTPWebStorePromoHeader[] = "ntp.webstorepromo.header";
-
-// The button text for the NTP web store promo.
-const char kNTPWebStorePromoButton[] = "ntp.webstorepromo.button";
-
-// The button link for the NTP web store promo.
-const char kNTPWebStorePromoLink[] = "ntp.webstorepromo.link";
-
-// The "hide this" link text for the NTP web store promo.
-const char kNTPWebStorePromoExpire[] = "ntp.webstorepromo.expire";
-
 // The most up-to-date GPU blacklist downloaded from the web, which replaces
 // the one that's installed with chrome.
 const char kGpuBlacklist[] = "gpu_blacklist";
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/common/pref_names.h chromium-browser-12.0.742.112~r90304/src/chrome/common/pref_names.h
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/common/pref_names.h	2011-06-08 00:43:49.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/common/pref_names.h	2011-07-16 15:28:29.892000251 +0200
@@ -13,7 +13,6 @@
 namespace prefs {
 
 // Profile prefs. Please add Local State prefs below instead.
-extern const char kAppsPromoCounter[];
 extern const char kDefaultAppsInstalled[];
 extern const char kHomePageIsNewTabPage[];
 extern const char kHomePage[];
@@ -90,7 +89,6 @@
 extern const char kInstantEnabled[];
 extern const char kInstantEnabledOnce[];
 extern const char kInstantEnabledTime[];
-extern const char kInstantPromo[];
 extern const char kMultipleProfilePrefMigration[];
 extern const char kNetworkPredictionEnabled[];
 #if defined(OS_CHROMEOS)
@@ -377,29 +375,11 @@
 
 extern const char kNTPMostVisitedURLsBlacklist[];
 extern const char kNTPMostVisitedPinnedURLs[];
-extern const char kNTPPromoResourceCache[];
-extern const char kNTPPromoResourceCacheUpdate[];
-extern const char kNTPPromoResourceServer[];
 extern const char kNTPDateResourceServer[];
 extern const char kNTPShownSections[];
 extern const char kNTPPrefVersion[];
 extern const char kNTPCustomLogoStart[];
 extern const char kNTPCustomLogoEnd[];
-extern const char kNTPPromoVersion[];
-extern const char kNTPPromoLocale[];
-extern const char kNTPPromoStart[];
-extern const char kNTPPromoEnd[];
-extern const char kNTPPromoLine[];
-extern const char kNTPPromoClosed[];
-extern const char kNTPPromoGroup[];
-extern const char kNTPPromoGroupTimeSlice[];
-extern const char kNTPPromoBuild[];
-extern const char kNTPWebStorePromoLastId[];
-extern const char kNTPWebStorePromoId[];
-extern const char kNTPWebStorePromoHeader[];
-extern const char kNTPWebStorePromoButton[];
-extern const char kNTPWebStorePromoLink[];
-extern const char kNTPWebStorePromoExpire[];
 
 extern const char kGpuBlacklist[];
 extern const char kGpuBlacklistUpdate[];
diff -x '*.pyc' -x '*.tmp' -x '*.Makefile' -x '*.mk' -Naur orig/chromium-browser-12.0.742.112~r90304/src/chrome/test/data/extensions/profiles/extension_webrequest/Default/Preferences chromium-browser-12.0.742.112~r90304/src/chrome/test/data/extensions/profiles/extension_webrequest/Default/Preferences
--- orig/chromium-browser-12.0.742.112~r90304/src/chrome/test/data/extensions/profiles/extension_webrequest/Default/Preferences	2011-06-08 00:41:24.000000000 +0200
+++ chromium-browser-12.0.742.112~r90304/src/chrome/test/data/extensions/profiles/extension_webrequest/Default/Preferences	2011-07-16 15:33:14.916000256 +0200
@@ -55,7 +55,6 @@
    },
    "ntp": {
       "pref_version": 3,
-      "promo_resource_cache_update": "1298943121.229765"
    },
    "plugins": {
       "enabled_internal_pdf3": true
